4 Replies Latest reply on Oct 22, 2012 1:13 AM by content.librarian

    SDK1.2.1 compile issue

    @qq.com

      hi,when I build the firmware,there are some errors as following

         

      F:\Program Files\Cypress\EZ-USB FX3 SDK\1.2\\firmware\u3p_firmware\inc/cyu3dma.h:738:16: error: field 'lock' has incomplete type
      F:\Program Files\Cypress\EZ-USB FX3 SDK\1.2\\firmware\u3p_firmware\inc/cyu3dma.h:739:16: error: field 'flags' has incomplete type
      F:\Program Files\Cypress\EZ-USB FX3 SDK\1.2\\firmware\u3p_firmware\inc/cyu3dma.h:818:16: error: field 'lock' has incomplete type
      F:\Program Files\Cypress\EZ-USB FX3 SDK\1.2\\firmware\u3p_firmware\inc/cyu3dma.h:819:16: error: field 'flags' has incomplete type
      cs-make: *** [cyfxbulkgpio.o] Error 1

         

      I hope you  can help me.Thank you

        • 1. Re: SDK1.2.1 compile issue
          rama.sai.krishna.vakkantula

          Hi Comy,

             

          Are you using SDK1.2.1 or SDK1.2?

             

              

             

                    

             

          F:\Program Files\Cypress\EZ-USB FX3 SDK\1.2\\firmware\u3p_firmware\inc/cyu3dma.h:738:16: error: field 'lock' has incomplete type

             

          F:\Program Files\Cypress\EZ-USB FX3 SDK\1.2\\firmware\u3p_firmware\inc/cyu3dma.h:739:16: error: field 'flags' has incomplete type
          F:\Program Files\Cypress\EZ-USB FX3 SDK\1.2\\firmware\u3p_firmware\inc/cyu3dma.h:818:16: error: field 'lock' has incomplete type
          F:\Program Files\Cypress\EZ-USB FX3 SDK\1.2\\firmware\u3p_firmware\inc/cyu3dma.h:819:16: error: field 'flags' has incomplete type

             

           

             

          It looks like you are using the SDK1.2 libraries and header files for building the SDK1.2.1 source files.               Please check it once.

             

          Thanks,

             

          sai krishna.

          • 2. Re: SDK1.2.1 compile issue
            @qq.com

            Hello!

               

            I am using SDK1.2.1,but when I install the software,there is a docment called 1.2.Why not is it 1.2.1?

            • 4. Re: SDK1.2.1 compile issue
              content.librarian

              Hi,

                 

               

                 

              may be you should delete the old project/workspace specific files. Search in your workspace (.metadata) for *.sc files. Then just delete the file <YourProjectName>.sc

                 

              That file will be created automatically after opening workspace.

                 

              Regards

                 

              lumpi